Create Workspace

Video workspaces are top-level entities in Gumlet. You can use them to organize videos for different teams/departments or use cases.

Body
application/json
  • name
    Type: string
    required

    Specify a text string or identifier for the workspace.

  • type
    Type: string enum
    required

    Video workspaces are top-level entities in Gumlet. You can use them to organize videos for different teams/departments or use cases.

    values
    • proxy
    • direct-upload
    • webfolder
    • aws
    • gcs
  • aws
    Type: object

    This is a required field if workspace type is aws.

  • azure
    Type: object

    This is a required field if workspace type is azure.

  • backblaze
    Type: object

    This is a required field if workspace type is backblaze.

  • cloudflare
    Type: object

    This is a required field if workspace type is cloudflare.

  • cloudinary
    Type: object

    This is a required field if workspace type is cloudinary.

  • default_profile_id
    Type: string

    Gumlet provides the functionality of creating multiple video assets using the same set of parameters.

  • dostorage
    Type: object

    This is a required field if workspace type is dostorage.

  • gcs
    Type: object

    This is a required field if workspace type is gcs.

  • insight_property_id
    Type: string

    The five to ten character unique identifier of the Gumlet Insight Property available on the dashboard.

  • linode
    Type: object

    This is a required field if workspace type is linode.

Responses
  • application/json
  • application/json
Request Example for post/video/workspaces
curl https://api.gumlet.com/v1/video/workspaces \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "zoom-workspace",
  "type": "zoom",
  "zoom": {
    "secret": "yourSecret"
  }
}'
{
  "id": "65b01610e99b77f116c0e32b",
  "name": "zoom-workspace",
  "type": "zoom",
  "created_at": "2024-01-23T19:40:00.447Z",
  "updated_at": "2024-01-23T19:40:00.447Z",
  "video_protection": {},
  "player_config": {
    "preload": true,
    "autoplay": false,
    "disable_seek": false,
    "disable_player_controls": false,
    "powered_by_gumlet_overlay": true,
    "allow_drm_protected_videos": true,
    "loop": false,
    "player_color": "#6658ea",
    "include_seo": true,
    "subtitle_enabled": false,
    "pixel_tags": {},
    "logo_width": 100,
    "logo_height": 100,
    "dynamic_watermark": false,
    "watermark_font_size": 20,
    "watermark_font_color": "#ff0000",
    "watermark_bg_color": "transparent",
    "watermark_interval": 1000
  },
  "default_profile_id": "646df1c9173a4a2fcac180b7",
  "insight_property_id": "65b01610e99b77f116c0e329",
  "zoom": {
    "secret": "yourSecret"
  },
  "embed_details": {
    "powered_by_gumlet_overlay": true,
    "allow_drm_protected_videos": true,
    "preload": true,
    "autoplay": false,
    "logo_width": 100,
    "logo_height": 100,
    "player_color": "#6658ea",
    "is_seo": true,
    "dynamic_watermark": false,
    "watermark_font_size": 20,
    "watermark_font_color": "#ff0000",
    "watermark_bg_color": "transparent",
    "watermark_interval": 1000,
    "disable_seek": false,
    "disable_player_controls": false,
    "loop": false,
    "subtitle_enabled": false
  },
  "folders": [],
  "channel_settings": {
    "active": false,
    "privacy_type": "private"
  }
}